---
apiVersion: v1
kind: ConfigMap
metadata:
  name: funky
  namespace: apps
data:
  index.html: |
    henlo

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: funky
  namespace: apps
spec:
  selector:
    matchLabels:
      app: funky
  template:
    metadata:
      labels:
        app: funky
    spec:
      volumes:
        - name: content
          configMap:
            name: funky
      containers:
        - name: funky
          image: nginx
          volumeMounts:
            - mountPath: /usr/share/nginx/html
              name: content
          ports:
            - containerPort: 80
              name: http
---
apiVersion: v1
kind: Service
metadata:
  name: funky
  namespace: apps
spec:
  ports:
    - port: 80
      targetPort: 80
      name: http
  selector:
    app: funky

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: funky
  namespace: apps
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt
    "cert-manager.io/issue-temporary-certificate": "true"
    kubernetes.io/ingress.class: traefik
    kubernetes.io/tls-acme: 'true'
spec:
  tls:
    - hosts:
        - disappointment.sch.bme.hu
        - happiness.sch.bme.hu
        - confusion.sch.bme.hu
      secretName: funky-tls
  rules:
    - host: disappointment.sch.bme.hu
      http:
        paths:
          - backend:
              service:
                name: funky
                port:
                  number: 80
            pathType: Prefix
            path: /
    - host: happiness.sch.bme.hu
      http:
        paths:
          - backend:
              service:
                name: funky
                port:
                  number: 80
            pathType: Prefix
            path: /
    - host: confusion.sch.bme.hu
      http:
        paths:
          - backend:
              service:
                name: funky
                port:
                  number: 80
            pathType: Prefix
            path: /